FROM maven:3-jdk-11-slim
RUN apt update \
  && apt upgrade -y \ 
  && curl -fsSL https://deb.nodesource.com/setup_14.x | bash - \
  && apt install -y git nodejs \
  && rm -rf /var/lib/apt/lists/*  

WORKDIR /app
COPY ../ .
RUN mvn clean -T4C  && mvn package -T4C 
